Bug 1311129 - [RFE] include sosreport command line options --all-logs and --log-size= in /etc/sos.conf
[RFE] include sosreport command line options --all-logs and --log-size= in /e...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Pavel Moravec
Miroslav Hradílek
https://github.com/sosreport/sos/issu...
: FutureFeature
Depends On:
Blocks: 1420851 1464262
  Show dependency treegraph
 
Reported: 2016-02-23 08:05 EST by daniel
Modified: 2017-09-18 12:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel 2016-02-23 08:05:08 EST
1. Proposed title of this feature request  
  [RFE] include sosreport command line options --all-logs and --log-size= in /etc/sos.conf
  
  
3. What is the nature and description of the request?  
Currently sosreport only takes --all-logs and --log-size=  as command line options but are not permanently configurable via /etc/sos.conf.

  
4. Why does the customer need this? (List the business requirements here)  
When having a huge environment and lots of admins dealing with it it's likely, especially in an escalation situation that one forgets to add theses parameters and not all files are collected needed for initial analysis when huge log files are created (e.g RHEV env).
Further on with puppet, ansible or any other config management in place it would be simple to roll out a common /etc/sos.conf covering this in case it could be configured there.

  
5. How would the customer like to achieve this? (List the functional requirements here)  
make the --all-logs and --log-size options from sosreport command line also configurable via /etc/sos.conf 
  
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
add options to /etc/sos.conf and see if all files (--all-logs) and files up to a certain size (--log-size) are collected.
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
could not find any
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
RHEL7
  
9. Is the sales team involved in this request and do they have any additional input?  
 no

10. List any affected packages or components.  
  sos-3.2-35.el7_2.3.noarch

11. Would the customer be able to assist in testing this functionality if implemented?  
sure
Comment 7 Pavel Moravec 2016-07-18 07:47:00 EDT
FYI I raised upstream issue / discussion in https://github.com/sosreport/sos/issues/855
Comment 10 Pavel Moravec 2017-09-04 03:30:25 EDT
No devel resources for 7.5

Note You need to log in before you can comment on or make changes to this bug.